Name: openssh-askpass-qt
Version: 0.2
%define subrel 1
Release: %mkrel 2
Summary: Qt version of ssh auth agent for keychain
License: GPL
Group: Graphical desktop/KDE
BuildRequires: libqt-devel
URL: http://www.mandriva.com
Source: %name-%version.tar.bz2
Patch0: %name-0.2-fix-exit-status.patch
Buildroot: %_tmppath/%name-buildroot
Requires: openssh-askpass-common
Provides: openssh-askpass
Provides: ssh-askpass
Provides: ssh-extras

%description
Qt version of ssh auth agent for keychain

%files 
%defattr(0755,root,root,755)
%_libdir/ssh/qt-ssh-askpass

#-----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
qmake qt-ssh-askpass.pro

%make

%install
mkdir -p %buildroot/%_sysconfdir/profile.d/
mkdir -p %buildroot/%_libdir/ssh
install -m 755 qt-ssh-askpass %buildroot/%_libdir/ssh/qt-ssh-askpass

%post
update-alternatives --install %_libdir/ssh/ssh-askpass ssh-askpass %_libdir/ssh/qt-ssh-askpass 30
update-alternatives --install %_bindir/ssh-askpass bssh-askpass %_libdir/ssh/qt-ssh-askpass 30

%postun
[ $1 = 0 ] || exit 0
update-alternatives --remove ssh-askpass %_libdir/ssh/qt-ssh-askpass
update-alternatives --remove bssh-askpass %_libdir/ssh/qt-ssh-askpass

%clean
rm -rf %buildroot





%changelog
* Tue Dec 04 2007 Gustavo De Nardin <gustavodn@mandriva.com> 0.2-2.1mdv2008.0
+ Revision: 114701
- Patch to fix the exit status when the user doesn't press Ok

* Fri Aug 24 2007 Helio Chissini de Castro <helio@mandriva.com> 0.2-2mdv2008.0
+ Revision: 70892
- Rebuild to 2008.0


* Thu Jul 27 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-07-27 16:23:34 (42304)
- Fixed form text
- Removed profiles
- Requires new openssh-askpass-common

* Wed Jul 26 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-07-26 20:56:18 (42214)
- import openssh-askpass-qt-0.1-1mdv2007.0

* Wed Jul 26 2006 Helio Castro <helio@mandriva.com> 0.1-1mdv2007.0
- First version os a Qt askpass for ssh-agent and keychain

